﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Reflection;
using Syncfusion.Data;
using Syncfusion.UI.Xaml.Utility;
using Syncfusion.UI.Xaml.ScrollAxis;
using System.Windows.Threading;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var index = Convert.ToInt16(txtBox.Text);
            var view = (this.datagrid.DataContext as ViewModel).GDCSource;
            var item = new Model();
            view.Insert(index, item);
            this.datagrid.SelectedItem = item;
            var rowIndex = this.datagrid.ResolveToRowIndex(index);
            this.datagrid.MoveCurrentCell(new RowColumnIndex(rowIndex, 0), true);
            this.datagrid.SelectionController.CurrentCellManager.BeginEdit();

        }
    }       
}
         
   

