﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace SfDataGridDemo
{
    public class ViewModel 
    {       
        public ViewModel()
        {                       
            GDCSource = new ObservableCollection<Model>();
            this.gdcsource = new ObservableCollection<Model>();
            
            this.gdcsource.Add(new Model() { EmployeeName = "Mart",CountryCode= "NAURU", EmployeeAge = 45,  EmployeeSalary = 33000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = false });
            this.gdcsource.Add(new Model() { EmployeeName = "Peter", CountryCode = "NEPAL", EmployeeAge = 35, EmployeeSalary = 5678, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = true });
            this.gdcsource.Add(new Model() { EmployeeName = "James", CountryCode = "NETHERLANDS", EmployeeAge = 42, EmployeeSalary = 18700, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = true });
            this.gdcsource.Add(new Model() { EmployeeName = "Oliver", CountryCode = "NEWZEALAND", EmployeeAge = 36, EmployeeSalary = 67000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = false });
            this.gdcsource.Add(new Model() { EmployeeName = "Robert", CountryCode = "NICARAGUA", EmployeeAge = 54, EmployeeSalary = 34567, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = false });
            this.gdcsource.Add(new Model() { EmployeeName = "Suji", CountryCode = "NETHERLANDS", EmployeeAge = 45 , EmployeeSalary = 90000, ExperienceInMonth = 10, EmployeeGender = "Female", EmployeeDate = DateTime.Now, Review = true });
           
            InitialiseProductOptionsView();
        }      
        public ICollectionView ProductsView { get; private set; }
        public ICollectionView Employee { get; private set; }
        private void InitialiseProductOptionsView()
        {
            Employee = CollectionViewSource.GetDefaultView(GDCSource);
        }

        private ObservableCollection<Model> gdcsource;
        public ObservableCollection<Model> GDCSource
        {
            get
            {
                return gdcsource;
            }
            set
            {
                this.gdcsource = value;
                
            }
        }    
      

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }   
}
            
        
     

